package repository

import (
	"electricity_bill_calc/logger"

	"github.com/doug-martin/goqu/v9"
	_ "github.com/doug-martin/goqu/v9/dialect/postgres"
	"go.uber.org/zap"
)

type _ReportRepository struct {
	log *zap.Logger
	ds  goqu.DialectWrapper
}

var ReportRepository = _ReportRepository{
	log: logger.Named("Repository", "Report"),
	ds:  goqu.Dialect("postgres"),
}
