package vo

import "github.com/shopspring/decimal"

type TopUpCreationForm struct {
	Tenement string          `json:"tenement"`
	Meter    string          `json:"meter"`
	Amount   decimal.Decimal `json:"amount"`
}

type TopUpDetailQueryResponse struct {
	Id           string          `json:"id" copier:"topUpCode"`
	Tenement     string          `json:"tenement"`
	TenementName string          `json:"tenementName"`
	Meter        string          `json:"meter"`
	MeterAddress string          `json:"meterAddress"`
	ToppedUpAt   string          `json:"toppedUpAt"`
	Amount       decimal.Decimal `json:"amount"`
	PaymentType  int16           `json:"paymentType"`
	SyncStatus   int16           `json:"syncStatus" copier:"SyncStatus"`
}
